package com.jeesharp.business.modules.setting.service;

import com.jeesharp.business.modules.setting.entity.HelpCategory;
import com.jeesharp.business.modules.setting.vo.HelpCategoryQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

/**
 * 帮助分类服务接口
 *
 * @author jeesharp
 * @version 2026-02-05
 */
public interface HelpCategoryService extends BaseInterface<HelpCategory, HelpCategoryQueryVO> {

    /**
     * 根据应用标识查询分类列表
     *
     * @param app 应用标识
     * @return 分类列表
     */
    List<HelpCategory> listByApp(String app);

    void createCategory(HelpCategory category);

    void updateCategory(HelpCategory category);
void updateStatus(String id, Integer status);
}
